SessionFactoryProxy (Grails 2.2.5)
Date: 2014-03-04

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.orm.hibernate
[Java] Class SessionFactoryProxy

    java.lang.Object
      groovy.lang.GroovyObjectSupport
          org.codehaus.groovy.grails.orm.hibernate.SessionFactoryProxy

All Implemented Interfaces:
  org.hibernate.engine.SessionFactoryImplementor, org.springframework.context.ApplicationContextAware, org.springframework.beans.factory.InitializingBean, org.springframework.core.InfrastructureProxy

    @SuppressWarnings("rawtypes")
    public class SessionFactoryProxy
    extends groovy.lang.GroovyObjectSupport

Proxies the SessionFactory allowing for the underlying SessionFactory instance to be replaced at runtime. Used to enable rebuilding of the SessionFactory at development time

NOTE: This class is not for production use and is development time only!

Authors:
  Graeme Rocher

Since:
  2.0

Method Summary
`void` | `afterPropertiesSet()`
`void` | `close()`
`boolean` | `containsFetchProfileDefinition(java.lang.String name)`
`protected org.hibernate.context.CurrentSessionContext` | `createCurrentSessionContext()`
`void` | `evict(java.lang.Class persistentClass)`
`void` | `evict(java.lang.Class persistentClass, java.io.Serializable id)`
`void` | `evictCollection(java.lang.String roleName)`
`void` | `evictCollection(java.lang.String roleName, java.io.Serializable id)`
`void` | `evictEntity(java.lang.String entityName)`
`void` | `evictEntity(java.lang.String entityName, java.io.Serializable id)`
`void` | `evictQueries(java.lang.String cacheRegion)`
`void` | `evictQueries()`
`java.util.Map` | `getAllClassMetadata()`
`java.util.Map` | `getAllCollectionMetadata()`
`java.util.Map` | `getAllSecondLevelCacheRegions()`
`org.hibernate.Cache` | `getCache()`
`org.hibernate.metadata.ClassMetadata` | `getClassMetadata(java.lang.Class entityClass)`
`org.hibernate.metadata.ClassMetadata` | `getClassMetadata(java.lang.String entityName)`
`org.hibernate.metadata.CollectionMetadata` | `getCollectionMetadata(java.lang.String roleName)`
`org.hibernate.persister.collection.CollectionPersister` | `getCollectionPersister(java.lang.String role)`
`java.util.Set` | `getCollectionRolesByEntityParticipant(java.lang.String entityName)`
`org.hibernate.connection.ConnectionProvider` | `getConnectionProvider()`
`org.hibernate.Session` | `getCurrentSession()`
`org.hibernate.SessionFactory` | `getCurrentSessionFactory()` @return The current SessionFactory being proxied
`org.hibernate.engine.SessionFactoryImplementor` | `getCurrentSessionFactoryImplementor()` @return The current SessionFactoryImplementor being proxied
`java.util.Set` | `getDefinedFilterNames()`
`org.hibernate.dialect.Dialect` | `getDialect()`
`org.hibernate.proxy.EntityNotFoundDelegate` | `getEntityNotFoundDelegate()`
`org.hibernate.persister.entity.EntityPersister` | `getEntityPersister(java.lang.String entityName)`
`org.hibernate.SessionFactoryObserver` | `getFactoryObserver()`
`org.hibernate.engine.profile.FetchProfile` | `getFetchProfile(java.lang.String name)`
`org.hibernate.engine.FilterDefinition` | `getFilterDefinition(java.lang.String filterName)`
`org.hibernate.id.IdentifierGenerator` | `getIdentifierGenerator(java.lang.String rootEntityName)`
`org.hibernate.id.factory.IdentifierGeneratorFactory` | `getIdentifierGeneratorFactory()`
`java.lang.String` | `getIdentifierPropertyName(java.lang.String className)`
`org.hibernate.type.Type` | `getIdentifierType(java.lang.String className)`
`java.lang.String[]` | `getImplementors(java.lang.String className)`
`java.lang.String` | `getImportedClassName(java.lang.String name)`
`groovy.lang.Interceptor` | `getInterceptor()`
`org.hibernate.engine.NamedQueryDefinition` | `getNamedQuery(java.lang.String queryName)`
`org.hibernate.engine.NamedSQLQueryDefinition` | `getNamedSQLQuery(java.lang.String queryName)`
`java.util.Properties` | `getProperties()`
`java.lang.Object` | `getProperty(java.lang.String property)`
`org.hibernate.cache.QueryCache` | `getQueryCache()`
`org.hibernate.cache.QueryCache` | `getQueryCache(java.lang.String regionName)`
`org.hibernate.engine.query.QueryPlanCache` | `getQueryPlanCache()`
`groovy.lang.Reference` | `getReference()`
`org.hibernate.type.Type` | `getReferencedPropertyType(java.lang.String className, java.lang.String propertyName)`
`org.hibernate.engine.ResultSetMappingDefinition` | `getResultSetMapping(java.lang.String name)`
`java.lang.String[]` | `getReturnAliases(java.lang.String queryString)`
`org.hibernate.type.Type[]` | `getReturnTypes(java.lang.String queryString)`
`org.hibernate.exception.SQLExceptionConverter` | `getSQLExceptionConverter()`
`org.hibernate.cache.Region` | `getSecondLevelCacheRegion(java.lang.String regionName)`
`org.hibernate.cfg.Settings` | `getSettings()`
`org.hibernate.dialect.function.SQLFunctionRegistry` | `getSqlFunctionRegistry()`
`org.hibernate.stat.Statistics` | `getStatistics()`
`org.hibernate.stat.StatisticsImplementor` | `getStatisticsImplementor()`
`javax.transaction.TransactionManager` | `getTransactionManager()`
`org.hibernate.TypeHelper` | `getTypeHelper()`
`org.hibernate.type.TypeResolver` | `getTypeResolver()`
`org.hibernate.cache.UpdateTimestampsCache` | `getUpdateTimestampsCache()`
`java.lang.Object` | `getWrappedObject()`
`boolean` | `isClosed()`
`org.hibernate.Session` | `openSession()`
`org.hibernate.Session` | `openSession(groovy.lang.Interceptor interceptor)`
`org.hibernate.Session` | `openSession(java.sql.Connection connection)`
`org.hibernate.Session` | `openSession(java.sql.Connection connection, groovy.lang.Interceptor interceptor)`
`org.hibernate.Session` | `openSession(java.sql.Connection connection, boolean flushBeforeCompletionEnabled, boolean autoCloseSessionEnabled, org.hibernate.ConnectionReleaseMode connectionReleaseMode)`
`org.hibernate.StatelessSession` | `openStatelessSession()`
`org.hibernate.StatelessSession` | `openStatelessSession(java.sql.Connection connection)`
`org.hibernate.Session` | `openTemporarySession()`
`void` | `setApplicationContext(org.springframework.context.ApplicationContext applicationContext)`
`void` | `setCurrentSessionContextClass(java.lang.Class currentSessionContextClass)` The class to use for the current session context
`void` | `setTargetBean(java.lang.String targetBean)` The target bean to proxy

Methods inherited from class groovy.lang.GroovyObjectSupport
groovy.lang.GroovyObjectSupport#getMetaClass(), groovy.lang.GroovyObjectSupport#setMetaClass(groovy.lang.MetaClass), groovy.lang.GroovyObjectSupport#setProperty(java.lang.String, java.lang.Object), groovy.lang.GroovyObjectSupport#getProperty(java.lang.String), groovy.lang.GroovyObjectSupport#invokeMethod(java.lang.String, java.lang.Object), groovy.lang.GroovyObjectSupport#wait(), groovy.lang.GroovyObjectSupport#wait(long, int), groovy.lang.GroovyObjectSupport#wait(long), groovy.lang.GroovyObjectSupport#equals(java.lang.Object), groovy.lang.GroovyObjectSupport#toString(), groovy.lang.GroovyObjectSupport#hashCode(), groovy.lang.GroovyObjectSupport#getClass(), groovy.lang.GroovyObjectSupport#notify(), groovy.lang.GroovyObjectSupport#notifyAll()

Methods inherited from class java.lang.Object
java.lang.Object#wait(), java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Method Detail

### afterPropertiesSet

    public void afterPropertiesSet()

### close

    public void close()

### containsFetchProfileDefinition

    public boolean containsFetchProfileDefinition(java.lang.String name)

### createCurrentSessionContext

    }
    protected org.hibernate.context.CurrentSessionContext createCurrentSessionContext()

### evict

    @Deprecated
    public void evict(java.lang.Class persistentClass)

### evict

    @Deprecated
    public void evict(java.lang.Class persistentClass, java.io.Serializable id)

### evictCollection

    @Deprecated
    public void evictCollection(java.lang.String roleName)

### evictCollection

    @Deprecated
    public void evictCollection(java.lang.String roleName, java.io.Serializable id)

### evictEntity

    @Deprecated
    public void evictEntity(java.lang.String entityName)

### evictEntity

    @Deprecated
    public void evictEntity(java.lang.String entityName, java.io.Serializable id)

### evictQueries

    @Deprecated
    public void evictQueries(java.lang.String cacheRegion)

### evictQueries

    @Deprecated
    public void evictQueries()

### getAllClassMetadata

    public java.util.Map getAllClassMetadata()

### getAllCollectionMetadata

    public java.util.Map getAllCollectionMetadata()

### getAllSecondLevelCacheRegions

    public java.util.Map getAllSecondLevelCacheRegions()

### getCache

    public org.hibernate.Cache getCache()

### getClassMetadata

    public org.hibernate.metadata.ClassMetadata getClassMetadata(java.lang.Class entityClass)

### getClassMetadata

    public org.hibernate.metadata.ClassMetadata getClassMetadata(java.lang.String entityName)

### getCollectionMetadata

    public org.hibernate.metadata.CollectionMetadata getCollectionMetadata(java.lang.String roleName)

### getCollectionPersister

    public org.hibernate.persister.collection.CollectionPersister getCollectionPersister(java.lang.String role)

### getCollectionRolesByEntityParticipant

    public java.util.Set getCollectionRolesByEntityParticipant(java.lang.String entityName)

### getConnectionProvider

    public org.hibernate.connection.ConnectionProvider getConnectionProvider()

### getCurrentSession

    public org.hibernate.Session getCurrentSession()

### getCurrentSessionFactory

    public org.hibernate.SessionFactory getCurrentSessionFactory()

  Returns:
    The current SessionFactory being proxied

### getCurrentSessionFactoryImplementor

    public org.hibernate.engine.SessionFactoryImplementor getCurrentSessionFactoryImplementor()

  Returns:
    The current SessionFactoryImplementor being proxied

### getDefinedFilterNames

    public java.util.Set getDefinedFilterNames()

### getDialect

    public org.hibernate.dialect.Dialect getDialect()

### getEntityNotFoundDelegate

    public org.hibernate.proxy.EntityNotFoundDelegate getEntityNotFoundDelegate()

### getEntityPersister

    public org.hibernate.persister.entity.EntityPersister getEntityPersister(java.lang.String entityName)

### getFactoryObserver

    public org.hibernate.SessionFactoryObserver getFactoryObserver()

### getFetchProfile

    public org.hibernate.engine.profile.FetchProfile getFetchProfile(java.lang.String name)

### getFilterDefinition

    public org.hibernate.engine.FilterDefinition getFilterDefinition(java.lang.String filterName)

### getIdentifierGenerator

    public org.hibernate.id.IdentifierGenerator getIdentifierGenerator(java.lang.String rootEntityName)

### getIdentifierGeneratorFactory

    @Deprecated
    public org.hibernate.id.factory.IdentifierGeneratorFactory getIdentifierGeneratorFactory()

### getIdentifierPropertyName

    public java.lang.String getIdentifierPropertyName(java.lang.String className)

### getIdentifierType

    public org.hibernate.type.Type getIdentifierType(java.lang.String className)

### getImplementors

    public java.lang.String[] getImplementors(java.lang.String className)

### getImportedClassName

    public java.lang.String getImportedClassName(java.lang.String name)

### getInterceptor

    public groovy.lang.Interceptor getInterceptor()

### getNamedQuery

    public org.hibernate.engine.NamedQueryDefinition getNamedQuery(java.lang.String queryName)

### getNamedSQLQuery

    public org.hibernate.engine.NamedSQLQueryDefinition getNamedSQLQuery(java.lang.String queryName)

### getProperties

    public java.util.Properties getProperties()

### getProperty

    @Override
    public java.lang.Object getProperty(java.lang.String property)

### getQueryCache

    public org.hibernate.cache.QueryCache getQueryCache()

### getQueryCache

    public org.hibernate.cache.QueryCache getQueryCache(java.lang.String regionName)

### getQueryPlanCache

    public org.hibernate.engine.query.QueryPlanCache getQueryPlanCache()

### getReference

    public groovy.lang.Reference getReference()

### getReferencedPropertyType

    public org.hibernate.type.Type getReferencedPropertyType(java.lang.String className, java.lang.String propertyName)

### getResultSetMapping

    public org.hibernate.engine.ResultSetMappingDefinition getResultSetMapping(java.lang.String name)

### getReturnAliases

    public java.lang.String[] getReturnAliases(java.lang.String queryString)

### getReturnTypes

    public org.hibernate.type.Type[] getReturnTypes(java.lang.String queryString)

### getSQLExceptionConverter

    public org.hibernate.exception.SQLExceptionConverter getSQLExceptionConverter()

### getSecondLevelCacheRegion

    public org.hibernate.cache.Region getSecondLevelCacheRegion(java.lang.String regionName)

### getSettings

    public org.hibernate.cfg.Settings getSettings()

### getSqlFunctionRegistry

    public org.hibernate.dialect.function.SQLFunctionRegistry getSqlFunctionRegistry()

### getStatistics

    public org.hibernate.stat.Statistics getStatistics()

### getStatisticsImplementor

    public org.hibernate.stat.StatisticsImplementor getStatisticsImplementor()

### getTransactionManager

    public javax.transaction.TransactionManager getTransactionManager()

### getTypeHelper

    public org.hibernate.TypeHelper getTypeHelper()

### getTypeResolver

    public org.hibernate.type.TypeResolver getTypeResolver()

### getUpdateTimestampsCache

    public org.hibernate.cache.UpdateTimestampsCache getUpdateTimestampsCache()

### getWrappedObject

    public java.lang.Object getWrappedObject()

### isClosed

    public boolean isClosed()

### openSession

    public org.hibernate.Session openSession()

### openSession

    public org.hibernate.Session openSession(groovy.lang.Interceptor interceptor)

### openSession

    public org.hibernate.Session openSession(java.sql.Connection connection)

### openSession

    public org.hibernate.Session openSession(java.sql.Connection connection, groovy.lang.Interceptor interceptor)

### openSession

    public org.hibernate.Session openSession(java.sql.Connection connection, boolean flushBeforeCompletionEnabled, boolean autoCloseSessionEnabled, org.hibernate.ConnectionReleaseMode connectionReleaseMode)

### openStatelessSession

    public org.hibernate.StatelessSession openStatelessSession()

### openStatelessSession

    public org.hibernate.StatelessSession openStatelessSession(java.sql.Connection connection)

### openTemporarySession

    public org.hibernate.Session openTemporarySession()

### setApplicationContext

    public void setApplicationContext(org.springframework.context.ApplicationContext applicationContext)

### setCurrentSessionContextClass

    public void setCurrentSessionContextClass(java.lang.Class currentSessionContextClass)

  The class to use for the current session context
  Parameters:
    `currentSessionContextClass` - The current session context class

### setTargetBean

    public void setTargetBean(java.lang.String targetBean)

  The target bean to proxy
  Parameters:
    `targetBean` - The name of the target bean

Groovy Documentation